Manage cash machines.
Operations
contentsReport
Generates a report on the contents of the cash machine.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
timeoutintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/cashmachines/contentsReportPOST /nexum/627/2022.01/cashmachines/contentsReport HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"device": {},
"timeout": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}dispense
Dispenses cash from the cash machine.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
timeoutintegeroptionalduressFlagbooleanoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/cashmachines/dispensePOST /nexum/627/2022.01/cashmachines/dispense HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"device": {},
"timeout": 0,
"requestedDistribution": {},
"duressFlag": true,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}startDeposit
Initiates the deposit process at the cash machine.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
timeoutintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/cashmachines/startDepositPOST /nexum/627/2022.01/cashmachines/startDeposit HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"device": {},
"timeout": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}continueDeposit
Allows the cash machine to continue a deposit process.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
timeoutintegerrequiredLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/cashmachines/continueDepositPOST /nexum/627/2022.01/cashmachines/continueDeposit HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"timeout": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}acceptDeposit
Allows the cash machine to accept a deposit.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
timeoutintegerrequiredLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/cashmachines/acceptDepositPOST /nexum/627/2022.01/cashmachines/acceptDeposit HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"timeout": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}rejectDeposit
Rejects a deposit at the cash machine.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
timeoutintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/cashmachines/rejectDepositPOST /nexum/627/2022.01/cashmachines/rejectDeposit HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"timeout": 0,
"retainedDistribution": {},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}cassetteReport
Generates a report on the status of cassettes in the cash machine.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
timeoutintegeroptionalLoading fields…
symstringrequired- Sym number
cassetteCountintegeroptionalLoading fields…
/nexum/{sym}/2022.01/cashmachines/cassetteReportPOST /nexum/627/2022.01/cashmachines/cassetteReport HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"device": {},
"timeout": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}cassetteAdjustment
Adjusts the cassettes in the cash machine.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
timeoutintegeroptionalcassetteCountintegeroptionalcoinAmountintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/cashmachines/cassetteAdjustmentPOST /nexum/627/2022.01/cashmachines/cassetteAdjustment HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"device": {},
"timeout": 0,
"cassetteCount": 0,
"cassettes": [],
"coinAmount": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}remoteDispense
Dispenses cash remotely, often initiated through an app or online banking.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
timeoutintegeroptionalduressFlagbooleanoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/cashmachines/remoteDispensePOST /nexum/627/2022.01/cashmachines/remoteDispense HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"device": {},
"timeout": 0,
"requestedDistribution": {},
"duressFlag": true,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}remoteTransactionInquiry
Inquires about the status of a remote transaction initiated via an app or online banking.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
tranTypestringoptionaltimeoutintegeroptionalremoteTransactionIdintegeroptionalpinstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/cashmachines/remoteTransactionInquiryPOST /nexum/627/2022.01/cashmachines/remoteTransactionInquiry HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"device": {},
"tranType": 0,
"timeout": 0,
"remoteTransactionId": 0,
"pin": "string",
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}remoteTransactionCancel
Cancels a remote transaction initiated via an app or online banking.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
tranTypestringoptionaltimeoutintegeroptionalremoteTransactionIdintegeroptionalpinstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/cashmachines/remoteTransactionCancelPOST /nexum/627/2022.01/cashmachines/remoteTransactionCancel HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"device": {},
"tranType": 0,
"timeout": 0,
"remoteTransactionId": 0,
"pin": "string",
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}remoteTransactionComplete
Completes a remote transaction initiated via an app or online banking.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
tranTypestringoptionaltimeoutintegeroptionalremoteTransactionIdintegeroptionalpinstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/cashmachines/remoteTransactionCompletePOST /nexum/627/2022.01/cashmachines/remoteTransactionComplete HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"device": {},
"tranType": 0,
"timeout": 0,
"remoteTransactionId": 0,
"pin": "string",
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}remoteDeposit
Facilitates deposit remotely, usually via an app or online banking.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
timeoutintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/cashmachines/remoteDepositPOST /nexum/627/2022.01/cashmachines/remoteDeposit HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"device": {},
"timeout": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}